=== modified file 'database/schema/Makefile'
--- database/schema/Makefile	2011-07-21 09:53:54 +0000
+++ database/schema/Makefile	2011-09-26 11:38:11 +0000
@@ -1,4 +1,4 @@
-# Copyright 2010 Canonical Ltd.  This software is licensed under the
+# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 #
 # Quick hack makefile to (re)create the Launchpad database.
@@ -63,7 +63,7 @@
 # to ensure that the development database remains in sync with reality
 # on production. It is generated using newbaseline.py in
 # bzr+ssh://devpad.canonical.com/code/stub/dbascripts
-# 
+#
 REV=2208
 BASELINE=launchpad-${REV}-00-0.sql
 MD5SUM=12a258f8651ae3bba0c96ec8e62be1dd  launchpad-2208-00-0.sql
@@ -71,7 +71,7 @@
 default: all
 
 # Create a launchpad_ftest_template DB and load the test sample data into it.
-test: create 
+test: create
 	@ echo "* Creating database \"$(TEMPLATE_WITH_TEST_SAMPLEDATA)\"."
 	@ ${CREATEDB} ${EMPTY_DBNAME} ${TEMPLATE_WITH_TEST_SAMPLEDATA}
 	@ echo "* Loading sample data"
@@ -110,7 +110,7 @@
 # database schema, full text indexes and grants into it.
 # It will also create session DBs for the test and dev environments.
 # No sample data is added at this point.
-create: 
+create:
 	@ echo "* If this fails you need to run as the postgresql superuser"
 	@ echo "* eg. sudo -u postgres make create"
 	@ echo

=== modified file 'database/schema/unautovacuumable.py'
--- database/schema/unautovacuumable.py	2011-09-06 05:00:26 +0000
+++ database/schema/unautovacuumable.py	2011-09-26 11:38:11 +0000
@@ -1,6 +1,6 @@
 #!/usr/bin/python -S
 #
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Disable autovacuum on all tables in the database and kill off
@@ -16,16 +16,23 @@
 __metaclass__ = type
 __all__ = []
 
-# pylint: disable-msg=W0403
-import _pythonpath
-
 from distutils.version import LooseVersion
 from optparse import OptionParser
 import sys
 import time
 
-from canonical.database.sqlbase import connect
-from canonical.launchpad.scripts import logger_options, db_options, logger
+# pylint: disable-msg=W0403
+import _pythonpath
+
+from canonical.database.sqlbase import (
+    connect,
+    ISOLATION_LEVEL_AUTOCOMMIT,
+    )
+from canonical.launchpad.scripts import (
+    db_options,
+    logger,
+    logger_options,
+    )
 
 
 def main():
@@ -42,7 +49,7 @@
 
     log.debug("Connecting")
     con = connect()
-    con.set_isolation_level(0) # Autocommit
+    con.set_isolation_level(ISOLATION_LEVEL_AUTOCOMMIT)
     cur = con.cursor()
 
     cur.execute('show server_version')

